ru.bitel.bgbilling.modules.inet.access.sa.event

## Class InetSaOptionsModifyEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.PartitionedQueueEvent
      - - ru.bitel.bgbilling.modules.inet.access.sa.event.InetSaOptionsModifyEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class InetSaOptionsModifyEvent
      extends PartitionedQueueEvent

  Задание на изменение текущего набор опций из тарифа на устройстве.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InetSaOptionsModifyEvent()`
    `` | `InetSaOptionsModifyEvent(int moduleId, int userId, InetConnection connection, java.util.Set<java.lang.Integer> optionSet)`
    `` | `InetSaOptionsModifyEvent(int moduleId, int userId, InetConnection connection, java.util.Set<java.lang.Integer> optionSet, boolean force)`
    `` | `InetSaOptionsModifyEvent(int moduleId, int userId, InetServ inetServ, java.util.Set<java.lang.Integer> optionSet)`
    `` | `InetSaOptionsModifyEvent(int moduleId, int contractId, int userId, int deviceId, int inetServId, long connectionId, java.util.Set<java.lang.Integer> optionSet, boolean force)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getConnectionId()`
    `int` | `getDeviceId()`
    `int` | `getInetServId()`
    `java.util.Set<java.lang.Integer>` | `getOldOptions()`
    `java.util.Set<java.lang.Integer>` | `getOptions()`
    `protected java.lang.String` | `getPackageName()`
    `protected int` | `getPartitionValue()`
    `boolean` | `isForce()`
    `protected void` | `prepareMessage(javax.jms.Message message)`
    `void` | `setOldOptions(java.util.Set<java.lang.Integer> oldOptions)`
    `ServiceActivatorEvent` | `toSaEvent(ru.bitel.bgbilling.modules.inet.access.Access access, ConnectionSet connectionSet, boolean manageConnections, ru.bitel.bgbilling.modules.inet.access.InetConnectionManager connectionManager, java.util.Date now)`
    `protected void` | `toString(java.lang.StringBuilder sb)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.PartitionedQueueEvent

      `getDestination, getDestinationMask`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InetSaOptionsModifyEvent

          protected InetSaOptionsModifyEvent()

    - #### InetSaOptionsModifyEvent

          public InetSaOptionsModifyEvent(int moduleId,
                                          int userId,
                                          InetConnection connection,
                                          java.util.Set<java.lang.Integer> optionSet)

    - #### InetSaOptionsModifyEvent

          public InetSaOptionsModifyEvent(int moduleId,
                                          int userId,
                                          InetConnection connection,
                                          java.util.Set<java.lang.Integer> optionSet,
                                          boolean force)

    - #### InetSaOptionsModifyEvent

          public InetSaOptionsModifyEvent(int moduleId,
                                          int userId,
                                          InetServ inetServ,
                                          java.util.Set<java.lang.Integer> optionSet)

    - #### InetSaOptionsModifyEvent

          public InetSaOptionsModifyEvent(int moduleId,
                                          int contractId,
                                          int userId,
                                          int deviceId,
                                          int inetServId,
                                          long connectionId,
                                          java.util.Set<java.lang.Integer> optionSet,
                                          boolean force)

  - ### Method Detail

    - #### prepareMessage

          protected void prepareMessage(javax.jms.Message message)
                                 throws javax.jms.JMSException

      Overrides:
        `prepareMessage` in class `Event`
      Throws:
        `javax.jms.JMSException`

    - #### getDeviceId

          public int getDeviceId()

    - #### getInetServId

          public int getInetServId()

    - #### getConnectionId

          public long getConnectionId()

    - #### getOptions

          public java.util.Set<java.lang.Integer> getOptions()

    - #### isForce

          public boolean isForce()

    - #### toString

          protected void toString(java.lang.StringBuilder sb)

      Overrides:
        `toString` in class `Event`

    - #### toSaEvent

          public ServiceActivatorEvent toSaEvent(ru.bitel.bgbilling.modules.inet.access.Access access,
                                                 ConnectionSet connectionSet,
                                                 boolean manageConnections,
                                                 ru.bitel.bgbilling.modules.inet.access.InetConnectionManager connectionManager,
                                                 java.util.Date now)
                                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getPackageName

          protected java.lang.String getPackageName()

      Specified by:
        `getPackageName` in class `PartitionedQueueEvent`

    - #### getPartitionValue

          protected int getPartitionValue()

      Specified by:
        `getPartitionValue` in class `PartitionedQueueEvent`

    - #### getOldOptions

          public java.util.Set<java.lang.Integer> getOldOptions()

    - #### setOldOptions

          public void setOldOptions(java.util.Set<java.lang.Integer> oldOptions)